#!/usr/bin/env bash

# Script to kick off BVT test run and produce result in results directory
set -oux pipefail

RUN_VER=$(date +"%Y%m%d_%H%M%S")
RUN_REPORT=bvt_${RUN_VER}.html

# Start the tests
/usr/bin/python3 -m pytest --html="./results/${RUN_REPORT}" --self-contained-html -x --pdb
if [ $? -ne 0 ]; then
    RUN_FAIL_REPORT=bvt_fail_${RUN_VER}.html
    mv ./results/"${RUN_REPORT}" ./results/"${RUN_FAIL_REPORT}"
    echo "Test Run - $RUN_VER - FAILED. Error report in file: ${RUN_FAIL_REPORT}"
    # TODO: Send mdm metric here with report name.
fi

exit 0
